﻿<form id="itemForm">
    @Html.AntiForgeryToken()
    <input type="hidden" id="entidad" value="User" />

    <div>
        <label class="fw-bold">Id:</label>
        <span id="id"></span>
    </div>
    <div>
        <label class="fw-bold">Nombres:</label>
        <span id="firstname"></span>
    </div>
    <div>
        <label class="fw-bold">Apellidos:</label>
        <span id="lastname"></span>
    </div>
    <div>
        <label class="fw-bold">Dirección:</label>
        <span id="address"></span>
    </div>
    <div>
        <label class="fw-bold">Teléfono:</label>
        <span id="phonenumber"></span>
    </div>
    <div>
        <label class="fw-bold">Correo Electrónico:</label>
        <span id="email"></span>
    </div>
    <div class="pt-2">
        <button type="button" onclick="editar()" class="btn btn-primary">Editar</button>
        <button type="button" onclick="cancelar()" class="btn btn-secundary">Cancelar</button>
    </div>
</form>

<script src="~/js/crud/detail.js"></script>

<script>
    function fillData(data) { 
        document.getElementById("id").textContent = data.id;
        document.getElementById("firstname").textContent = data.firstName;
        document.getElementById("lastname").textContent = data.lastName;
        document.getElementById("address").textContent = data.address;
        document.getElementById("email").textContent = data.email;
        document.getElementById("phonenumber").textContent = data.phoneNumber;
    }

    cargarDatos();
</script>